Loading...
Searching...
No Matches
CglResidualCapacity.hpp File Reference
`#include <iostream>`
`#include <fstream>`
`#include "CoinError.hpp"`
`#include "CglCutGenerator.hpp"`
Include dependency graph for CglResidualCapacity.hpp:

Go to the source code of this file.

## Classes

class | CglResidualCapacity
| Residual Capacity Inequalities Cut Generator Class. More...

## Macros

#define | CGL_DEBUG 0

## Functions

void | CglResidualCapacityUnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests the methods in the CglResidualCapacity class.

## Macro Definition Documentation

## CGL_DEBUG

#define CGL_DEBUG 0

Definition at line 26 of file CglResidualCapacity.hpp.

## Function Documentation

## CglResidualCapacityUnitTest()

void CglResidualCapacityUnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir )

A function that tests the methods in the CglResidualCapacity class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.